Subject: Re: [Mip4] Query For error code from HA ..

From: Radhakrishnan Suryanarayanan <[email-masked]>
Date: Tue, 01 Mar 2005 13:19:31 +0530

MessageHi arun,
I got ur scenario. see section 6.4 RFC 3344
"
 128-192    Error Codes from the Home Agent
"
Cisco's behavior is quite right!
  ----- Original Message ----- 
  From: Arun H S 
  To: 'Radhakrishnan Suryanarayanan' 
  Sent: Tuesday, March 01, 2005 1:18 PM
  Subject: RE: [Mip4] Query For error code from HA ..

  do U have a Cisco Rtr there ... U can chk out ... he sends back code 128 (reason un-specified) as the registration reply
    -----Original Message-----
    From: Radhakrishnan Suryanarayanan [mailto:[email-masked]] 
    Sent: Tuesday, March 01, 2005 01:09 PM
    To: [email-masked]
    Subject: Re: [Mip4] Query For error code from HA ..

    In such a case the MN/FA can never be reached even to intimate the error. The packet is just discarded at the HA.
    FA/MN does retransmission and The Registration fails! 
      ----- Original Message ----- 
      From: Arun H S 
      To: 'Radhakrishnan Suryanarayanan' 
      Cc: [email-masked] 
      Sent: Tuesday, March 01, 2005 1:00 PM
      Subject: RE: [Mip4] Query For error code from HA ..

      For the Home Agent, I think it dows not matter whether the "COA" is a CLCOA or a COA
        -----Original Message-----
        From: Radhakrishnan Suryanarayanan [mailto:[email-masked]] 
        Sent: Tuesday, March 01, 2005 12:42 PM
        To: [email-masked]
        Cc: [email-masked]
        Subject: Re: [Mip4] Query For error code from HA ..

        Hi arun,
          For further understanding your problem can you please clarify the following:
          Is the CoA address of the FA (in case registration is being done via FA) or that MN (co-located CoA)?

        Regards
        Radhakrishnan
          ----- Original Message ----- 
          From: Arun H S 
          To: [email-masked] 
          Sent: Tuesday, March 01, 2005 11:18 AM
          Subject: RE: [Mip4] Query For error code from HA ..

          Hi,

          Sorry, I guess the problem was not understood properly.

              The problem in question is as follows:

              __________                         ____________
              |                | HA1                  |                    |
              |    HA        | ============|        FA        |
              |                |                 FA1  |                    |
              -----------------                         ----------------------
                                                                  ||   COA
                                                                  ||
                                                                  ||
                                                          ___________
                                                          |                  |
                                                          |        MN     |
                                                          |                  |
                                                          --------------------

          Now when MN sends an RRQ with Care-of-Address as COA, to Home-Agent Address, HA1, the Registration is successful because the IP addresses HA1 and FA1 are routable. However, since the tunnel that is created is between the IP addresses HA1 and COA, at the Home Agent, there may not be any route in HA for the IP Address COA. 
          In such a scenario, what type of error-code should the Home Agent send back to the Mobile Node. 

          PS: In such a scenario, the Registration will be successful, however the packet forwarding to the Mobile Node will fail since there is no route to the COA at the Home Agent.

          Regards,
          Arun

            -----Original Message-----
            From: [email-masked] [mailto:[email-masked]] On Behalf Of Radhakrishnan Suryanarayanan
            Sent: Friday, February 25, 2005 05:52 PM
            To: [email-masked]; [email-masked]
            Subject: Re: [Mip4] Query For error code from HA ..

            Hi Mr.Keshav,
            If you are talking about Registration reply, HA will recv ICMP Destination unreachable (from intermediate routers) for CoA of MN.
            Where is the question of HA sending any error msg to MN if MN's CoA in unreachable?????

            Regards
            Radhakrishnan
              ----- Original Message ----- 
              From: keshav 
              To: [email-masked] 
              Cc: [email-masked] 
              Sent: Friday, February 25, 2005 5:32 PM
              Subject: [Mip4] Query For error code from HA ..

              Hi,

                          I would like to know is there any error code that HA has to send to MN if the 

                          Care of address of the MN is not reachable during registration?

                          

              Thanks & regards,

              Keshava

------------------------------------------------------------------

              -- 
              Mip4 mailing list: [email-masked]
                  Web interface: https://www1.ietf.org/mailman/listinfo/mip4
                   Charter page: http://www.ietf.org/html.charters/mip4-charter.html
              Supplemental site: http://www.mip4.org/

----------------------------------------------------------------------

          -- 
          Mip4 mailing list: [email-masked]
              Web interface: https://www1.ietf.org/mailman/listinfo/mip4
               Charter page: http://www.ietf.org/html.charters/mip4-charter.html
          Supplemental site: http://www.mip4.org/

--------------------------------------------------------------------------

      -- 
      Mip4 mailing list: [email-masked]
          Web interface: https://www1.ietf.org/mailman/listinfo/mip4
           Charter page: http://www.ietf.org/html.charters/mip4-charter.html
      Supplemental site: http://www.mip4.org/
-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: Radhakrishnan Suryanarayanan <[email-masked]>
Date: Tue, 01 Mar 2005 13:29:24 +0530

Message
http://www.ietf.org/internet-drafts/draft-ietf-mip4-experimental-messages-02.txt

This shld help u!
  ----- Original Message ----- 
  From: Radhakrishnan Suryanarayanan 
  To: [email-masked] 
  Cc: [email-masked] 
  Sent: Tuesday, March 01, 2005 1:19 PM
  Subject: Re: [Mip4] Query For error code from HA ..

  Hi arun,

          -----Original Message-----

          Hi arun,

          Regards
          Radhakrishnan
            ----- Original Message ----- 
            From: Arun H S 
            To: [email-masked] 

            Hi,

                __________                         ____________
                |                | HA1                  |                    |

            Regards,
            Arun

              -----Original Message-----

              Hi Mr.Keshav,

              Regards
              Radhakrishnan
                ----- Original Message ----- 
                From: keshav 
                To: [email-masked] 
                Cc: [email-masked] 

                Hi,

                            

                Thanks & regards,

                Keshava

----------------------------------------------------------------

--------------------------------------------------------------------

------------------------------------------------------------------------

------------------------------------------------------------------------------